> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Get details of a specific platform information entry

GET https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/{id}/

Platform information entries describe per-platform port maps, minimum resource requirements, and port configuration used to configure hardware platform-specific behavior.

**Required scope:** `air:image_read` (roles: `air_image_publisher`, `air_image_uploader`, `air_org_admin`, `air_user`)

Reference: https://docs.nvidia.com/dsx-air/api-reference/manifests/api-v-3-manifests-platform-information-retrieve

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — A UUID string identifying this platform information.

## Response

### 200

- `id` (string, required)
- `created` (datetime, required)
- `modified` (datetime, required)
- `creator` (string, required, nullable) — The username of the user who created this platform information entry.
- `model` (string, required) — The platform model to which this information applies.
- `port_map` (map from string to map from string to object, required) — Mapping of speed modes to port label entries.
  - `asic` (string, required) — The ASIC this port map entry applies to.
  - `label_port` (string, required) — The label port for given ASIC.
  - `local_port` (string, required) — The local port for given ASIC.
  - `split_num` (string, required) — The split number for given ASIC.
- `platform_information_version` (string, required) — Version string for this platform information entry.
- `ports_config` (object, required) — Port configuration.
  - `num_label_ports` (integer, required) — Number of label ports.
  - `default_split` (string, required) — Default split configuration.
  - `split_options` (list of string, required) — Available split options.
- `os_type` (string, optional, nullable) — OS family identifier (e.g. sonic, nvos). Exactly one of os_type or emulation_type must be set; the other is `null`.
- `emulation_type` (string, optional, nullable) — The type of simulation engine to which this information applies. Exactly one of os_type or emulation_type must be set; the other is `null`.
- `vars` (map from string to string, optional) — Free-form key-value variables. Values are stored as text.
- `simulator_config` (map from string to any, optional) — Free-form simulator configuration dictionary.
- `minimum_resources` (object, optional, nullable) — Minimum resource requirements.
  - `cpu` (integer, required) — Minimum CPU cores required.
  - `memory` (integer, required) — Minimum memory in MiB required.
  - `storage` (integer, required) — Minimum storage in GiB required.

## Errors

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 404 Not Found Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `detail` (string, optional, default: No object matches the given query.) — Description of an error.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "id": "string",
  "created": "2024-01-15T09:30:00Z",
  "modified": "2024-01-15T09:30:00Z",
  "creator": "string",
  "model": "string",
  "port_map": {},
  "platform_information_version": "string",
  "ports_config": {
    "num_label_ports": 1,
    "default_split": "string",
    "split_options": [
      "string"
    ]
  },
  "os_type": "string",
  "emulation_type": "string",
  "vars": {},
  "simulator_config": {},
  "minimum_resources": {
    "cpu": 1,
    "memory": 1,
    "storage": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/manifests/platform-information/id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```